Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Ubuntu Local Security Checks >> USN190-1 : net-snmp vulnerability


Vulnerability Assessment Details

USN190-1 : net-snmp vulnerability

Vulnerability Assessment Summary
net-snmp vulnerability

Detailed Explanation for this Vulnerability Assessment

Summary :

These remote packages are missing security patches :
- libsnmp-base
- libsnmp-perl
- libsnmp5
- libsnmp5-dev
- snmp
- snmpd
- tkmib


Description :

A remote Denial of Service has been discovered in the SMNP (Simple
Network Management Protocol) library. If a SNMP agent uses TCP sockets
for communication, a malicious SNMP server could exploit this to crash
the agent. Please note that by default SNMP uses UDP sockets.

Solution :

Upgrade to :
- libsnmp-base-5.1.2-6ubuntu2.1 (Ubuntu 5.04)
- libsnmp-perl-5.1.2-6ubuntu2.1 (Ubuntu 5.04)
- libsnmp5-5.1.2-6ubuntu2.1 (Ubuntu 5.04)
- libsnmp5-dev-5.1.2-6ubuntu2.1 (Ubuntu 5.04)
- snmp-5.1.2-6ubuntu2.1 (Ubuntu 5.04)
- snmpd-5.1.2-6ubuntu2.1 (Ubuntu 5.04)
- tkmib-5.1.2-6ubuntu2.1 (Ubuntu 5.04)



Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: Ubuntu Security Notice (C) 2005 Canonical, Inc. / NASL script (C) 2005 Michel Arboi

Cables, Connectors

Cisco ASA5506-X K9 version 4 - new cisco firewall with firepower ASA5506-K9
$295.0
Cisco ASA5506-X K9 version 4 - new cisco firewall with firepower ASA5506-K9 pictureZyXEL VFG6005 4-Port Gigabit VPN Firewall Gateway
$32.99
ZyXEL VFG6005 4-Port Gigabit VPN Firewall Gateway pictureNetgear ProSafe VPN Firewall FVS318
$5.25
Netgear ProSafe VPN Firewall FVS318 pictureFortinet Fortigate FG-60D Firewall with Adapter
$140.0
Fortinet Fortigate FG-60D Firewall with Adapter  picture


Discussions

No Discussions have been posted on this vulnerability.